Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688121 - libvirt-daemon-driver-storage-rbd error while running dnf system-upgrade to F30
Summary: libvirt-daemon-driver-storage-rbd error while running dnf system-upgrade to F30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-13 07:56 UTC by Matt Fagnani
Modified: 2019-03-29 19:19 UTC (History)
9 users (show)

Fixed In Version: libvirt-5.1.0-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:19:04 UTC


Attachments (Terms of Use)

Description Matt Fagnani 2019-03-13 07:56:28 UTC
Description of problem:

I got an error involving libvirt-daemon-driver-storage-rbd while running dnf system-upgrade from F29 to F30.

Problem 1: package libvirt-daemon-driver-storage-rbd-4.7.0-1.fc29.i686 requires libvirt-daemon-driver-storage-core = 4.7.0-1.fc29, but none of the providers can be installed
  - libvirt-daemon-driver-storage-core-4.7.0-1.fc29.i686 does not belong to a distupgrade repository
  - problem with installed package libvirt-daemon-driver-storage-rbd-4.7.0-1.fc29.i686

I have many of the libvirt i686 packages installed. 

sudo dnf system-upgrade download --refresh --releasever=30 --skip-broken --allowerasing showed libvirt-daemon-driver-storage-rbd being removed:

Removing dependent packages:
...
libvirt-daemon-driver-storage-rbd i686   4.7.0-1.fc29   @updates-testing 108 k

Version-Release number of selected component (if applicable):
libvirt-daemon-driver-storage-rbd-4.7.0-1.fc29.i686
libvirt-5.1.0-1.fc30.i686

How reproducible:
5 of 5 times

Steps to Reproduce:
In F29 with updates-testing enabled and libvirt-daemon-driver-storage-rbd-4.7.0-1.fc29.i686 installed
1. sudo dnf upgrade --refresh
2. sudo dnf system-upgrade download --refresh --releasever=30
3. sudo dnf system-upgrade download --refresh --releasever=30 --skip-broken --allowerasing

Actual results:
dnf system-upgrade error involving libvirt-daemon-driver-storage-rbd-4.7.0-1.fc29.i686

Expected results:
no error

Additional info:

libvirt-5.1.0-1.fc30's changelog on koji noted the following. 
* Mon Dec 10 2018 Daniel P. Berrangé <berrange@redhat.com> - 4.10.0-2 
- Disable RBD on 32-bit arches (rhbz #1657928)

https://koji.fedoraproject.org/koji/buildinfo?buildID=1219635

Obsoleting libvirt-daemon-driver-storage-rbd on 32-bit architectures might prevent this error if it isn't going to be built again for them. This issue is likely related to the qemu-block-rbd error I reported in bug 1688117.

Comment 1 Fedora Update System 2019-03-21 11:16:25 UTC
libvirt-5.1.0-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3e6d3e0a5

Comment 2 Fedora Update System 2019-03-21 19:12:43 UTC
libvirt-5.1.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3e6d3e0a5

Comment 3 Fedora Update System 2019-03-29 19:19:04 UTC
libvirt-5.1.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.